---
title: DOMTokenList.length
slug: Web/API/DOMTokenList/length
tags:
  - API
  - DOM
  - DOMTokenList
  - Property
  - Reference
  - length
---
<p>{{APIRef("DOM")}}</p>

<p>The <strong><code>length</code></strong> read-only property of the {{domxref("DOMTokenList")}} interface is an <code>integer</code> representing the number of objects stored in the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>tokenList</var>.length;</pre>

<h3 id="Value">Value</h3>

<p>An <code>integer</code>.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we retrieve the list of classes set on a {{htmlelement("span")}} element as a <code>DOMTokenList</code> using {{domxref("Element.classList")}}, then write the length of the list to the <code>&lt;span&gt;</code>'s {{domxref("Node.textContent")}}.</p>

<p>First, the HTML:</p>

<pre class="brush: html">&lt;span class="a b c"&gt;&lt;/span&gt;</pre>

<p>Now the JavaScript:</p>

<pre class="brush: js">let span = document.querySelector("span");
let classes = span.classList;
let length = classes.length;

span.textContent = `classList length = ${length}`;
</pre>

<p>The output looks like this:</p>

<p>{{ EmbedLiveSample('Examples', '100%', 60) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-domtokenlist-length','length')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMTokenList.length")}}</p>
</div>
